require 'crowdfund/funding'
require 'crowdfund/project'

module Crowdfund
	describe Funding do
		before do 
			@vc_funds = Funding.new("VC-Friendly Start-up Projects")		
			@initial_funds = 500
			@goal = 10000


			@project = Project.new("stu", @initial_funds, @goal)
			@vc_funds.add_project(@project)
		end

		it "adds funds to a project if an even number is rolled" do
			FundingRound.stub(:roll_die).and_return(4)

			@vc_funds.fund_fun(3)
			@project.funds.should == @initial_funds + 25 *3
		end

		it "subtracts funds from a project if an odd number is rolled" do
			FundingRound.stub(:roll_die).and_return(3)

			@vc_funds.fund_fun(2)
			@project.funds.should == @initial_funds - 15 * 2
		end

		it "adds funds to a project if a pledge is received" do

			@project.received_pledge(Pledge.new(:gold,100))

			@project.funding_pledged.should == @initial_funds + 100
		end
	end
end

