require 'crowdfund/matched_project'

module Crowdfund
	describe MatchedProject do
		before do
			@current_funding = 10000
			@initial_target = 100000
			@mproject = MatchedProject.new("mdef", @current_funding, @initial_target)		
		end

		it "doesn't match until half the goal is reached" do
			@mproject.add(25)

			@mproject.funds.should == @current_funding + 25

			@mproject = MatchedProject.new("mdef", (@initial_target/2 -  25))

			@mproject.funds.should == (@initial_target/2 - 25)

			@mproject.add(25)

			@mproject.funds.should == (@initial_target/2 + 25)
		end



		it "matches donations after half the goal is reached" do
			@mproject.add((@initial_target/2) - @current_funding)
			@mproject.add(25)

			@mproject.funds.should == @initial_target/2 + 50
		end
	end
end

