require 'crowdfund/pledge_pool'

module Crowdfund
	describe Pledge do 
		before do
			@pledge = Pledge.new(:bronze, 50)
		end

		it "has a name attribute" do
			@pledge.name.should == :bronze
		end

		it "has an amount attribute" do
			@pledge.amount.should == 50
		end
	end

	describe PledgePool do
		it "has four pledge levels" do
			PledgePool::PLEDGES.size.should == 4
		end

		it "has a bronze level pledge that is worth $50" do
			PledgePool::PLEDGES[0].should == Pledge.new(:bronze, 50)
		end

		it "has a silver level pledge that is worth $75" do
			PledgePool::PLEDGES[1].should == Pledge.new(:silver, 75)
		end

		it "has a gold level pledge that is worth $100" do
			PledgePool::PLEDGES[2].should  == Pledge.new(:gold, 100)
		end

		it "has a platinum level pledge that is worth $500" do
			PledgePool::PLEDGES[3].should == Pledge.new(:platinum, 500)
		end

		it "returns a random pledge" do
			pledge = PledgePool.random

			PledgePool::PLEDGES.should include(pledge)
		end
	end
end
